Você não está autenticado.

Anúncio

Arch Linux Brasil está precisando de sua colaboração para realizar o pagamento do domínio e do host, para colaborar, realizar doações via paypal.

Para mais informações: contato at archlinux-br.org.

#1 22/11/2018 10:52:12

rafaelff
Membro
Registrado: 24/10/2018
Mensagens: 2

rerankmirrors - atualiza e reordena melhores mirrors brasileiros

Script simples e curto que baixa a lista de mirrors brasileiros oficiais do Arch Linux e reordena-os usando rankmirrors (em negrito, o que originou o nome do script).

Uso

  • Basta executá-lo sem argumentos

Requisitos

  1. Acesso à Internet, para que o script baixe a lista de mirrors atualizada do gerador de mirrorlists do Arch Linux

  2. Instalar: sudo, pacman-contrib (para o rankmirrors) e wget

#!/bin/sh
# rerankmirrors - Reorder Arch mirrors with best times first

set -e

# check whether the binaries are present
test -x $(which sudo) || (echo "sudo unavailable, can't update mirrorlist"; exit 1)
test -x $(which rankmirrors) || (echo "rankmirror unavailable, can't rank mirrors"; exit 1)
test -x $(which wget) || (echo "wget unavailable, can't download mirrorlist"; exit 1)

# check permissions to run sudo
CAN_I_RUN_SUDO=$(sudo -n uptime 2>&1 | grep "load" | wc -l)
test ${CAN_I_RUN_SUDO} -eq 1 || (echo "Permission denied for sudo, but it's required."; exit 1)

arqtmp=$(mktemp)
ranked=$(mktemp)

wget -q https://www.archlinux.org/mirrorlist/?country=BR -O $arqtmp

sed -i 's/^#Server/Server/' $arqtmp

rankmirrors --verbose $arqtmp | tee $ranked

sudo mv $ranked /etc/pacman.d/mirrorlist
[ $? -eq 0 ] && echo "Updated /etc/pacman.d/mirrorlist"

Exemplo de saída (tanto no console, quanto no arquivo /etc/pacman.d/mirrorlist):

Offline

Rodapé do site